From 6d78fd0d854425b0442f69350d2f241eb9bc7648 Mon Sep 17 00:00:00 2001
From: Robert Haas <rhaas@postgresql.org>
Date: Mon, 18 Dec 2023 13:16:57 -0500
Subject: [PATCH v15 1/6] Fix brown paper bag bug in
 025584a168a4b3002e19350bb8db0ebf1fd10235.

The previous logic failed to work for anything other than the first
segment of a relation.

Report by Jakub Wartak. Patch by me.
---
 src/backend/storage/file/reinit.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/src/backend/storage/file/reinit.c b/src/backend/storage/file/reinit.c
index 5df2517b46..6e8eb786d0 100644
--- a/src/backend/storage/file/reinit.c
+++ b/src/backend/storage/file/reinit.c
@@ -431,7 +431,7 @@ parse_filename_for_nontemp_relation(const char *name, RelFileNumber *relnumber,
 	else
 	{
 		/* Reject leading zeroes, just like we do for RelFileNumber. */
-		if (name[0] < '1' || name[0] > '9')
+		if (name[1] < '1' || name[1] > '9')
 			return false;
 
 		errno = 0;
-- 
2.39.3 (Apple Git-145)

